state("THAW", "cmac")
{
    int GoalCount: 0x002EA804, 0x10, 0x4, 0x1F0, 0x5C, 0x340;
    string10 Map: 0x43F230;
    bool isLoading: 0x3F3CBC;
}

state("THAW", "hk")
{
    int GoalCount: 0x004A382C, 0x3C, 0x28, 0x54, 0x298, 0x40;
    string10 Map: 0x4A4570;
    bool isLoading: 0x458FFC;
}

init
{
    if (modules.First().ModuleMemorySize == 5140480) 
    {
        version = "hk";
    }
    else if (modules.First().ModuleMemorySize == 25481216)
    {
        version = "cmac";
    }
}

split
{ 
    return (
        //(old.GoalCount == 0 && current.GoalCount == 1) || //Haircut
        //(old.GoalCount == 1 && current.GoalCount == 2) || //Change Outfit
        //(old.GoalCount == 2 && current.GoalCount == 3) || //Caveman
        //(old.GoalCount == 3 && current.GoalCount == 4) || //Sponsor Challenge
        //(old.GoalCount == 4 && current.GoalCount == 5) || //Learn To Manual
        //(old.GoalCount == 5 && current.GoalCount == 6) || //Hollywood Graffiti 1
        (old.GoalCount == 6 && current.GoalCount == 7) || //Hollywood Graffiti 2
        //(old.GoalCount == 7 && current.GoalCount == 8) || //Beverly Graffiti 1
        //(old.GoalCount == 8 && current.GoalCount == 9) || //Stickerslap+...
        //(old.GoalCount == 9 && current.GoalCount == 10) || //Spine Transfer+...
        //(old.GoalCount == 10 && current.GoalCount == 11) || //Frenchy <3
        //(old.GoalCount == 11 && current.GoalCount == 12) || //Natas Spin
        //(old.GoalCount == 12 && current.GoalCount == 13) || //Beverly Graffiti 2
        //(old.GoalCount == 13 && current.GoalCount == 14) || //Beverly Graffiti 3
        //(old.GoalCount == 14 && current.GoalCount == 15) || //Boneless+
        (old.GoalCount == 15 && current.GoalCount == 16) || //Boone Spine Transfer
        //(old.GoalCount == 16 && current.GoalCount == 17) || //Sanchez
        //(old.GoalCount == 17 && current.GoalCount == 18) || //Bert Slide
        //(old.GoalCount == 18 && current.GoalCount == 19) || //Hollywood Graffiti 3
        //(old.GoalCount == 19 && current.GoalCount == 20) || //Buy Dino Head
        //(old.GoalCount == 20 && current.GoalCount == 21) || //Murphy Gas Station
        //(old.GoalCount == 21 && current.GoalCount == 22) || //Boone Mash Jump
        //(old.GoalCount == 22 && current.GoalCount == 23) || //Unlock Downtown
        (old.GoalCount == 23 && current.GoalCount == 24) || //Duane Velvet Ropes
        //(old.GoalCount == 24 && current.GoalCount == 25) || //Downtown Graffiti 1
        //(old.GoalCount == 25 && current.GoalCount == 26) || //Master Zen Pyramid
        //(old.GoalCount == 26 && current.GoalCount == 27) || //Downtown Graffiti 2
        //(old.GoalCount == 27 && current.GoalCount == 28) || //Master Zen Stall
        (old.GoalCount == 28 && current.GoalCount == 29) || //Master Zen Special
        //(old.GoalCount == 29 && current.GoalCount == 30) || //Beat guy in front of Amjam
        //(old.GoalCount == 30 && current.GoalCount == 31) || //Pay Amjam fee
        //(old.GoalCount == 31 && current.GoalCount == 32) || //Win Amjam
        //(old.GoalCount == 32 && current.GoalCount == 33) || //BMX 1
        //(old.GoalCount == 33 && current.GoalCount == 34) || //BMX 2
        //(old.GoalCount == 34 && current.GoalCount == 35) || //BMX 3
        (old.GoalCount == 35 && current.GoalCount == 36) || //Master Zen Tower
        //(old.GoalCount == 36 && current.GoalCount == 37) || //Skate Club Initiation
        //(old.GoalCount == 37 && current.GoalCount == 38) || //Skate Club Flatgrounds
        //(old.GoalCount == 38 && current.GoalCount == 39) || //Skate Club Hotel Lips
        //(old.GoalCount == 39 && current.GoalCount == 40) || //Skate Club Flatland Battle
        (old.GoalCount == 40 && current.GoalCount == 41) || //Santa Intro Kid
        //(old.GoalCount == 41 && current.GoalCount == 42) || //Alva Posse 1 (Gnarly Charlie)
        //(old.GoalCount == 42 && current.GoalCount == 43) || //Caveman Sugar
        //(old.GoalCount == 43 && current.GoalCount == 44) || //Alva Posse 2 (tele-sling shot)
        //(old.GoalCount == 44 && current.GoalCount == 45) || //Santa Graffiti 1
        //(old.GoalCount == 45 && current.GoalCount == 46) || //Alva Posse 3 (Ferris Wheel)
        //(old.GoalCount == 46 && current.GoalCount == 47) || //Santa Graffiti 2
        //(old.GoalCount == 47 && current.GoalCount == 48) || //Stall Shark
        //(old.GoalCount == 48 && current.GoalCount == 49) || //Alva 1 (Manual)
        //(old.GoalCount == 49 && current.GoalCount == 50) || //Alva 1.5 (Talk about Alien Suit)
        //(old.GoalCount == 50 && current.GoalCount == 51) || //Santa Graffiti 3
        //(old.GoalCount == 51 && current.GoalCount == 52) || //Alva 2 (Talk to Alva after buying Alien Suit)
        //(old.GoalCount == 52 && current.GoalCount == 53) || //Alva 3 (Crash Ferris Wheel)
        (old.GoalCount == 53 && current.GoalCount == 54) || //Pay for gas on boat to Oil Rig
        //(old.GoalCount == 54 && current.GoalCount == 55) || //Mega 1 (Shark)
        //(old.GoalCount == 55 && current.GoalCount == 56) || //Mega 2 (Wallplant Sign)
        //(old.GoalCount == 56 && current.GoalCount == 57) || //Tool Pusher 1 (Grind Around Oil Rig)
        //(old.GoalCount == 57 && current.GoalCount == 58) || //Tool Pusher 2 (Explosive Cap 2)
        (old.GoalCount == 58 && current.GoalCount == 59) || //Tool Pusher 3 (Escape Oil Rig)
        //(old.GoalCount == 59 && current.GoalCount == 60) || //Oil the Crane
        //(old.GoalCount == 60 && current.GoalCount == 61) || //Downtown Graffiti 3
        //(old.GoalCount == 61 && current.GoalCount == 62) || //Talk to Choloz
        //(old.GoalCount == 62 && current.GoalCount == 63) || //Hector 1 (Manual Through Flags)
        //(old.GoalCount == 63 && current.GoalCount == 64) || //Hector 2 (Graffiti 4 Spots)
        (old.GoalCount == 64 && current.GoalCount == 65) || //Unlock East LA
        //(old.GoalCount == 65 && current.GoalCount == 66) || //Boone's Pants
        //(old.GoalCount == 66 && current.GoalCount == 67) || //Help Boone
        //(old.GoalCount == 67 && current.GoalCount == 68) || //Useless Dave Mattress
        (old.GoalCount == 68 && current.GoalCount == 69) || //Deliver Money to Joey B
        //(old.GoalCount == 69 && current.GoalCount == 70) || //Tony Hawk on Rodeo Drive
        //(old.GoalCount == 70 && current.GoalCount == 71) || //Daewon Song
        //(old.GoalCount == 71 && current.GoalCount == 72) || //Mike Vallely
        //(old.GoalCount == 72 && current.GoalCount == 73) || //Paul Rodriguez
        //(old.GoalCount == 73 && current.GoalCount == 74) || //Stevie Williams
        //(old.GoalCount == 74 && current.GoalCount == 75) || //Bam Margera
        (old.GoalCount == 75 && current.GoalCount == 76) || //Unlock Casino
        //(old.GoalCount == 76 && current.GoalCount == 77) || //Casino Target Practice
        //(old.GoalCount == 77 && current.GoalCount == 78) || //Spine Transfer Triple Kickflip
        //(old.GoalCount == 78 && current.GoalCount == 79) || //Stall the bar stand
        (old.GoalCount == 79 && current.GoalCount == 80) || //Vert Wallplant light box
        (old.GoalCount == 80 && current.GoalCount == 81) //Finish Run
		
    );
}

isLoading
{
    return current.isLoading;
}